Bug 245227 - net-im/telegram-desktop: update to 2.0.1
Summary: net-im/telegram-desktop: update to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on: 245279
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-01 04:07 UTC by Henry Hu
Modified: 2020-04-04 12:15 UTC (History)
1 user (show)

See Also:


Attachments
patch for 2.0.1 (2.76 KB, patch)
2020-04-01 04:07 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2020-04-01 04:07:11 UTC
Created attachment 212921 [details]
patch for 2.0.1

Changelog:
v2.0.1

    Switch between folders using Ctrl+1, ..., Ctrl+8.
    Fix crash when a pinned in folder chat was added to archive.
    Fix font issues in Linux version.

v2.0.0

    Organize chats into Chat Folders if you have too many chats.
    Create custom folders with flexible settings, or use default recommendations.
    Pin an unlimited number of chats in each folder.
    Switch between folders in the new side bar to easily access all of your chats.
    Send 🎲 to any chat to try your luck and get a random number from the animated dice.
    Try out the new animated emoji.

This is a major version bump but the actual change is small.
While here, fix the system version string, and also add missing lz4 dependency.

poudriere log for 12.1/amd64: https://github.com/HenryHu/ports/blob/master/.logs/12.1-amd64/telegram-desktop-2.0.1.log?raw=true
poudriere log for 11.3/i386: https://github.com/HenryHu/ports/blob/master/.logs/11.3-i386/telegram-desktop-2.0.1.log?raw=true
Comment 1 Fernando Apesteguía freebsd_committer 2020-04-02 09:01:05 UTC
Hi Henry,

Thanks for the patch. The port builds fine in {11.3,12.1}{i386,amd64} and runs fine in 12.1amd64.

However this update seems to trigger a bug in clang in 13-current amd64 (see bug #245279).

I would like to wait a couple of days to see if this is resolved in current and if not, I will update the port and mark it BROKEN in 13 for the moment.

Cheers.
Comment 2 commit-hook freebsd_committer 2020-04-04 12:15:14 UTC
A commit references this bug:

Author: fernape
Date: Sat Apr  4 12:13:52 UTC 2020
New revision: 530649
URL: https://svnweb.freebsd.org/changeset/ports/530649

Log:
  net-im/telegram-desktop: update to 2.0.1

  Changelog:
  v2.0.1

      Switch between folders using Ctrl+1, ..., Ctrl+8.
      Fix crash when a pinned in folder chat was added to archive.
      Fix font issues in Linux version.

  v2.0.0

      Organize chats into Chat Folders if you have too many chats.
      Create custom folders with flexible settings, or use default recommendations.
      Pin an unlimited number of chats in each folder.
      Switch between folders in the new side bar to easily access all of your chats.
      Send :dice: to any chat to try your luck and get a random number from the animated dice.
      Try out the new animated emoji.

  While here, fix the system version string, and also add missing lz4 dependency.

  PR:     245227
  Submitted by:   henry.hu.sh@gmail.com (maintainer)

Changes:
  head/net-im/telegram-desktop/Makefile
  head/net-im/telegram-desktop/distinfo
  head/net-im/telegram-desktop/files/patch-Telegram_lib__base_base_platform_linux_base__info__linux.cpp
Comment 3 Fernando Apesteguía freebsd_committer 2020-04-04 12:15:54 UTC
Committed,

Thanks!